Skip to content
Start here

Download matches for logo queries by ID

GET/accounts/{account_id}/brand-protection/logo-matches/download

Return matches as CSV for logo queries based on ID

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Intel WriteIntel Read
Path ParametersExpand Collapse
account_id: string
minLength1
Query ParametersExpand Collapse
limit: optional string
logo_id: optional array of string
offset: optional string
ReturnsExpand Collapse
matches: optional array of map[unknown]
total: optional number

Download matches for logo queries by ID

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/brand-protection/logo-matches/download \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "matches": [
    {
      "foo": "bar"
    }
  ],
  "total": 0
}
Returns Examples
{
  "matches": [
    {
      "foo": "bar"
    }
  ],
  "total": 0
}